Page MenuHomePhabricator

[GTWL] UX: Wireframe for removing articles from watchlist after a custom timeframe
Closed, ResolvedPublic

Description

This task is about creating first visual ideas for a GUI for the feature. This is a rough description of how it could look like:

VIEW: Wikipedia article
Example: https://de.wikipedia.org/wiki/Bernard_Dietz

When user is adding an article to his watchlist by clicking on the star in the upper right corner of the site a textbox opens, saying:
“Die Seite "XX“ wurde zu deiner Beobachtungsliste hinzugefügt.
Spätere Änderungen an dieser Seite und der zugehörigen Diskussionsseite werden dort gelistet und die Seite wird in der Liste der letzten Änderungen in Fettschrift angezeigt”

This text should be extended to:
“Du kannst die Beobachtungszeitspanne einstellen: Beobachten [1 Tag ] [OK]"

User can customize the timeframe by using up and down arrows and he can confirm his choice with the [OK] button.

This box dissapears after 5 seconds if not hovered upon. If hovered upon it should not dissapear (right now it dissapears anyway) so that the user can set the timeframe in peace.

VIEW: Recent changes (Beobachtungsliste)
https://de.wikipedia.org/wiki/Spezial:Beobachtungsliste

When the user goes to his watchlist he can see a list of recent changes. If there is an article among the list that was put on a customized timeframe watch, this information should be displayed next to it:

[Diese Beobachtung ist befristet]

This text should be linked to the view [normal bearbeiten] which lists all the watched articles. The link should link directly to the item.

In case there are some articles where the timeframe expires in 3-1 days, they would be displayed at the top of the site (like a warning) saying:

"Diese Seiten werden bald von der Beobachtunsgliste entfernt:
Artikel XXX: 3 Tage
Artikel XX: 2 Tage"

These would be linked to the view [normal bearbeiten] where the user can manually change or set the the timeframe. The link should link directly to the item.

VIEW: edit normally (normal bearbeiten)
https://de.wikipedia.org/wiki/Spezial:Beobachtungsliste_bearbeiten

In this view each item should have a status info about whether it has been put on a customized timeframe watch or not and in how many days it will be automatically removed from the watchlist (kind of “countdown”) . The user should be able to adjust it.

[Beobachten [noch 7 Tage] [OK]) -> again with arrows up and down and confirmation button [OK]

It should be possible to choose the option [ohne Befristung ]. If the user didn’t set any timeframe (now or from the beginning] then the status would say

[Beobachten [ohne Befristung] [OK]]

The option to remove the item imediately is already provided by the tick-box.

Event Timeline

KasiaWMDE assigned this task to Snaterlicious.
KasiaWMDE raised the priority of this task from to Normal.
KasiaWMDE updated the task description. (Show Details)
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 22 2015, 10:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Moved "Tag(e)" out of input box in JavaScript version.

@KasiaWMDE: What is the status of this ticket? Can it be set to resolved?

@Snaterlicious As we haven't started with the investigations on technical feasibility yet, I would prefer to keep this task open in case we need to change something. I will mark is as "stalled" for now.

KasiaWMDE changed the task status from Open to Stalled.Aug 21 2015, 12:25 PM
Snaterlicious removed Snaterlicious as the assignee of this task.Oct 15 2015, 1:02 PM
Restricted Application added a subscriber: Sadads. · View Herald TranscriptOct 15 2015, 1:02 PM
Addshore closed this task as Resolved.Feb 4 2016, 10:38 AM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

Marking as resolved.
The wireframes have been made and may or may not be used in the future.
This is still attached to the main bug so we won't loose it.